PDA

View Full Version : [ubuntu] 12.10



armaniiii
January 11th, 2013, 02:09 PM
Hello, recently enrolled ubuntu 12.10 64 bit. wifi internet disappears when sending or get anything when I try to charging movie online. wifi occurs when rebooting the modem. and wired internet access is excellent. For a long time I can not find the problem. help me
My laptop is a Samsung NP350V5C.

gnome@computer:~$ lspci -knn | grep "Eth\|Net" -A2
01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 09)
Subsystem: Samsung Electronics Co Ltd Device [144d:c0da]
Kernel driver in use: r8169
--
02:00.0 Network controller [0280]: Atheros Communications Inc. AR9485 Wireless Network Adapter [168c:0032] (rev 01)
Subsystem: Samsung Electronics Co Ltd Device [144d:4105]
Kernel driver in use: ath9k
gnome@computer:~$ iwconfig
eth0 no wireless extensions.

lo no wireless extensions.

wlan0 IEEE 802.11bgn ESSID:off/any
Mode:Managed Access Point: Not-Associated Tx-Power=off
Retry long limit:7 RTS thr:off Fragment thr:off
Power Management:off

gnome@computer:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.10
Release: 12.10
Codename: quantal

Muratturat
January 11th, 2013, 02:13 PM
sudo apt-get install linux linux-headers-generic kernel-package


sudo apt-get purge b43-fwcutter firmware-b43-installer firmware-b43-lpphy-installer firmware-b43legacy-installer bcmwl*


sudo apt-get install b43-fwcutter firmware-b43-lpphy-installer bcmwl*

Try these

bkratz
January 11th, 2013, 02:42 PM
sudo apt-get install linux linux-headers-generic kernel-package


sudo apt-get purge b43-fwcutter firmware-b43-installer firmware-b43-lpphy-installer firmware-b43legacy-installer bcmwl*


sudo apt-get install b43-fwcutter firmware-b43-lpphy-installer bcmwl*

Try these



These are for Broadcom devices, the op does not have a Broadcom device, he/she is using the ath9k driver. (Atheros)

bkratz
January 11th, 2013, 02:45 PM
Try the following

frequent disconnects sometimes happen with ath9k. Generally encryption (hard vrs software) takes care of a lot of issues

try


sudo rmmod ath9k
sudo modprobe ath9k nohwcrypt=1

If that helps then we will make it permanent with :

echo "options ath9k nohwcrypt=1">>/etc/modprobe.d/ath9k.conf

if not we didn't hurt anything!

armaniiii
January 11th, 2013, 03:10 PM
gnome@computer:~$ sudo apt-get install linux linux-headers-generic kernel-package
[sudo] password for gnome:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following package was automatically installed and is no longer required:
linux-headers-3.5.0-17
Use 'apt-get autoremove' to remove it.
The following extra packages will be installed:
build-essential dpkg-dev fakeroot g++ g++-4.7 libalgorithm-diff-perl
libalgorithm-diff-xs-perl libalgorithm-merge-perl libmail-sendmail-perl
libstdc++6-4.7-dev linux-generic linux-headers-3.5.0-22
linux-headers-3.5.0-22-generic po-debconf
Suggested packages:
debian-keyring g++-multilib g++-4.7-multilib gcc-4.7-doc libstdc++6-4.7-dbg
linux-source kernel-source libncurses-dev docbook-utils xmlto grub grub2
jfsutils mcelog oprofile reiserfsprogs squashfs-tools xfsprogs quota
btrfs-tools libstdc++6-4.7-doc libmail-box-perl
The following NEW packages will be installed:
build-essential dpkg-dev fakeroot g++ g++-4.7 kernel-package
libalgorithm-diff-perl libalgorithm-diff-xs-perl libalgorithm-merge-perl
libmail-sendmail-perl libstdc++6-4.7-dev linux linux-generic
linux-headers-3.5.0-22 linux-headers-3.5.0-22-generic linux-headers-generic
po-debconf
0 upgraded, 17 newly installed, 0 to remove and 0 not upgraded.
Need to get 24.2 MB of archives.
After this operation, 102 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://lt.archive.ubuntu.com/ubuntu/ quantal/main libstdc++6-4.7-dev amd64 4.7.2-2ubuntu1 [1,716 kB]
Get:2 http://lt.archive.ubuntu.com/ubuntu/ quantal/main g++-4.7 amd64 4.7.2-2ubuntu1 [7,966 kB]
Get:3 http://lt.archive.ubuntu.com/ubuntu/ quantal/main g++ amd64 4:4.7.2-1ubuntu2 [1,448 B]
Get:4 http://lt.archive.ubuntu.com/ubuntu/ quantal/main dpkg-dev all 1.16.7ubuntu6 [595 kB]
Get:5 http://lt.archive.ubuntu.com/ubuntu/ quantal/main build-essential amd64 11.5ubuntu3 [5,814 B]
Get:6 http://lt.archive.ubuntu.com/ubuntu/ quantal/main fakeroot amd64 1.18.4-2 [88.2 kB]
Get:7 http://lt.archive.ubuntu.com/ubuntu/ quantal/main po-debconf all 1.0.16+nmu2ubuntu1 [210 kB]
Get:8 http://lt.archive.ubuntu.com/ubuntu/ quantal/universe kernel-package all 12.036+nmu3 [427 kB]
Get:9 http://lt.archive.ubuntu.com/ubuntu/ quantal/main libalgorithm-diff-perl all 1.19.02-2 [50.7 kB]
Get:10 http://lt.archive.ubuntu.com/ubuntu/ quantal/main libalgorithm-diff-xs-perl amd64 0.04-2build3 [12.5 kB]
Get:11 http://lt.archive.ubuntu.com/ubuntu/ quantal/main libalgorithm-merge-perl all 0.08-2 [12.7 kB]
Get:12 http://lt.archive.ubuntu.com/ubuntu/ quantal/main libmail-sendmail-perl all 0.79.16-1 [26.5 kB]
Get:13 http://lt.archive.ubuntu.com/ubuntu/ quantal-proposed/main linux-headers-3.5.0-22 all 3.5.0-22.34 [12.1 MB]
Get:14 http://lt.archive.ubuntu.com/ubuntu/ quantal-proposed/main linux-headers-3.5.0-22-generic amd64 3.5.0-22.34 [965 kB]
Get:15 http://lt.archive.ubuntu.com/ubuntu/ quantal-proposed/main linux-headers-generic amd64 3.5.0.22.28 [2,592 B]
Get:16 http://lt.archive.ubuntu.com/ubuntu/ quantal-proposed/main linux-generic amd64 3.5.0.22.28 [1,718 B]
Get:17 http://lt.archive.ubuntu.com/ubuntu/ quantal-proposed/main linux amd64 3.5.0.22.28 [1,686 B]
Fetched 24.2 MB in 10s (2,202 kB/s)
Selecting previously unselected package libstdc++6-4.7-dev.
(Reading database ... 191390 files and directories currently installed.)
Unpacking libstdc++6-4.7-dev (from .../libstdc++6-4.7-dev_4.7.2-2ubuntu1_amd64.deb) ...
Selecting previously unselected package g++-4.7.
Unpacking g++-4.7 (from .../g++-4.7_4.7.2-2ubuntu1_amd64.deb) ...
Selecting previously unselected package g++.
Unpacking g++ (from .../g++_4%3a4.7.2-1ubuntu2_amd64.deb) ...
Selecting previously unselected package dpkg-dev.
Unpacking dpkg-dev (from .../dpkg-dev_1.16.7ubuntu6_all.deb) ...
Selecting previously unselected package build-essential.
Unpacking build-essential (from .../build-essential_11.5ubuntu3_amd64.deb) ...
Selecting previously unselected package fakeroot.
Unpacking fakeroot (from .../fakeroot_1.18.4-2_amd64.deb) ...
Selecting previously unselected package po-debconf.
Unpacking po-debconf (from .../po-debconf_1.0.16+nmu2ubuntu1_all.deb) ...
Selecting previously unselected package kernel-package.
Unpacking kernel-package (from .../kernel-package_12.036+nmu3_all.deb) ...
Selecting previously unselected package libalgorithm-diff-perl.
Unpacking libalgorithm-diff-perl (from .../libalgorithm-diff-perl_1.19.02-2_all.deb) ...
Selecting previously unselected package libalgorithm-diff-xs-perl.
Unpacking libalgorithm-diff-xs-perl (from .../libalgorithm-diff-xs-perl_0.04-2build3_amd64.deb) ...
Selecting previously unselected package libalgorithm-merge-perl.
Unpacking libalgorithm-merge-perl (from .../libalgorithm-merge-perl_0.08-2_all.deb) ...
Selecting previously unselected package libmail-sendmail-perl.
Unpacking libmail-sendmail-perl (from .../libmail-sendmail-perl_0.79.16-1_all.deb) ...
Selecting previously unselected package linux-headers-3.5.0-22.
Unpacking linux-headers-3.5.0-22 (from .../linux-headers-3.5.0-22_3.5.0-22.34_all.deb) ...
Selecting previously unselected package linux-headers-3.5.0-22-generic.
Unpacking linux-headers-3.5.0-22-generic (from .../linux-headers-3.5.0-22-generic_3.5.0-22.34_amd64.deb) ...
Selecting previously unselected package linux-headers-generic.
Unpacking linux-headers-generic (from .../linux-headers-generic_3.5.0.22.28_amd64.deb) ...
Selecting previously unselected package linux-generic.
Unpacking linux-generic (from .../linux-generic_3.5.0.22.28_amd64.deb) ...
Selecting previously unselected package linux.
Unpacking linux (from .../linux_3.5.0.22.28_amd64.deb) ...
Processing triggers for man-db ...
Processing triggers for doc-base ...
Processing 1 added doc-base file...
Registering documents with scrollkeeper...
Setting up dpkg-dev (1.16.7ubuntu6) ...
Setting up fakeroot (1.18.4-2) ...
update-alternatives: using /usr/bin/fakeroot-sysv to provide /usr/bin/fakeroot (fakeroot) in auto mode
Setting up po-debconf (1.0.16+nmu2ubuntu1) ...
Setting up libalgorithm-diff-perl (1.19.02-2) ...
Setting up libalgorithm-diff-xs-perl (0.04-2build3) ...
Setting up libalgorithm-merge-perl (0.08-2) ...
Setting up libmail-sendmail-perl (0.79.16-1) ...
Setting up linux-headers-3.5.0-22 (3.5.0-22.34) ...
Setting up linux-headers-3.5.0-22-generic (3.5.0-22.34) ...
Setting up linux-headers-generic (3.5.0.22.28) ...
Setting up linux-generic (3.5.0.22.28) ...
Setting up linux (3.5.0.22.28) ...
Setting up libstdc++6-4.7-dev (4.7.2-2ubuntu1) ...
Setting up g++-4.7 (4.7.2-2ubuntu1) ...
Setting up g++ (4:4.7.2-1ubuntu2) ...
update-alternatives: using /usr/bin/g++ to provide /usr/bin/c++ (c++) in auto mode
Setting up build-essential (11.5ubuntu3) ...
Setting up kernel-package (12.036+nmu3) ...
gnome@computer:~$ sudo apt-get purge b43-fwcutter firmware-b43-installer firmware-b43-lpphy-installer firmware-b43legacy-installer bcmwl*
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'bcmwl-kernel-source' for regex 'bcmwl*'
Note, selecting 'bcmwl-modaliases' for regex 'bcmwl*'
Package 'bcmwl-modaliases' is not installed, so not removed
Package 'b43-fwcutter' is not installed, so not removed
Package 'bcmwl-kernel-source' is not installed, so not removed
Package 'firmware-b43-installer' is not installed, so not removed
Package 'firmware-b43-lpphy-installer' is not installed, so not removed
Package 'firmware-b43legacy-installer' is not installed, so not removed
The following package was automatically installed and is no longer required:
linux-headers-3.5.0-17
Use 'apt-get autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
gnome@computer:~$ sudo apt-get install b43-fwcutter firmware-b43-lpphy-installer bcmwl*
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'bcmwl-kernel-source' for regex 'bcmwl*'
Note, selecting 'bcmwl-modaliases' for regex 'bcmwl*'
The following extra packages will be installed:
dkms
Suggested packages:
debhelper
The following NEW packages will be installed:
b43-fwcutter bcmwl-kernel-source dkms firmware-b43-lpphy-installer
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 1,277 kB of archives.
After this operation, 4,077 kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://lt.archive.ubuntu.com/ubuntu/ quantal/main b43-fwcutter amd64 1:015-14 [19.6 kB]
Get:2 http://lt.archive.ubuntu.com/ubuntu/ quantal/main dkms all 2.2.0.3-1.1ubuntu1 [72.8 kB]
Get:3 http://lt.archive.ubuntu.com/ubuntu/ quantal/restricted bcmwl-kernel-source amd64 5.100.82.112+bdcom-0ubuntu3 [1,181 kB]
Get:4 http://lt.archive.ubuntu.com/ubuntu/ quantal/multiverse firmware-b43-lpphy-installer all 1:015-14 [3,434 B]
Fetched 1,277 kB in 1s (997 kB/s)
Selecting previously unselected package b43-fwcutter.
(Reading database ... 215518 files and directories currently installed.)
Unpacking b43-fwcutter (from .../b43-fwcutter_1%3a015-14_amd64.deb) ...
Selecting previously unselected package dkms.
Unpacking dkms (from .../dkms_2.2.0.3-1.1ubuntu1_all.deb) ...
Selecting previously unselected package bcmwl-kernel-source.
Unpacking bcmwl-kernel-source (from .../bcmwl-kernel-source_5.100.82.112+bdcom-0ubuntu3_amd64.deb) ...
Selecting previously unselected package firmware-b43-lpphy-installer.
Unpacking firmware-b43-lpphy-installer (from .../firmware-b43-lpphy-installer_1%3a015-14_all.deb) ...
Processing triggers for man-db ...
Setting up b43-fwcutter (1:015-14) ...
Setting up dkms (2.2.0.3-1.1ubuntu1) ...
Setting up bcmwl-kernel-source (5.100.82.112+bdcom-0ubuntu3) ...
Loading new bcmwl-5.100.82.112+bdcom DKMS files...
First Installation: checking all kernels...
Building only for 3.5.0-22-generic
Building for architecture x86_64
Building initial module for 3.5.0-22-generic
Done.

wl:
Running module version sanity check.
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/3.5.0-22-generic/updates/dkms/

depmod.........

DKMS: install completed.
ERROR: Module b43 does not exist in /proc/modules
ERROR: Module b43legacy does not exist in /proc/modules
ERROR: Module ssb does not exist in /proc/modules
ERROR: Module bcm43xx does not exist in /proc/modules
ERROR: Module brcm80211 does not exist in /proc/modules
ERROR: Module brcmfmac does not exist in /proc/modules
ERROR: Module brcmsmac does not exist in /proc/modules
ERROR: Module bcma does not exist in /proc/modules
update-initramfs: deferring update (trigger activated)
Setting up firmware-b43-lpphy-installer (1:015-14) ...
No chroot environment found. Starting normal installation
No supported card found.
Use proper b43 or b43legacy firmware.
Aborting.
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.5.0-22-generic
gnome@computer:~$


I done as he commanded, but throws errors

Muratturat
January 11th, 2013, 08:41 PM
Auch sorry it's athero. I didn't see it.

armaniiii
January 13th, 2013, 03:14 PM
how fix this problem?please help me.

jmediavilla
January 28th, 2013, 11:36 PM
I've tried that (sudo rmmod ath9k
sudo modprobe ath9k nohwcrypt=1), but after a while the internet connection stopped, like always.
I've got Ubuntu 12.10 wireless network disconnects with Samsung NP350E7C-S05NL. AR9485 Wireless Network Adapter.
I don't know what to do.

prohosterz89
July 7th, 2013, 06:33 AM
Hi,

I have Ubuntu 13.04 installed on my samsung NP350V5C-T01US laptop and having the same problem, any help is greatly appreciated.